Upstream information

CVE-2006-2480 at MITRE

Description

Format string vulnerability in Dia 0.94 allows user-assisted attackers to cause a denial of service (crash) and possibly execute arbitrary code by triggering errors or warnings, as demonstrated via format string specifiers in a .bmp filename. NOTE: the original exploit was demonstrated through a command line argument, but there are other mechanisms for input that are automatically processed by Dia, such as a crafted .dia file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.1
Vector AV:N/AC:H/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity High
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 173867 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE LINUX 10.0
  • dia >= 0.94-13.6
SUSE LINUX 10.1
  • dia >= 0.94-41.3
SUSE LINUX 9.1 for IA32
SUSE LINUX 9.1 for x86-64
  • dia >= 0.92.2-112.19
SUSE LINUX 9.2
  • dia >= 0.92.2-128.6
SUSE LINUX 9.3
  • dia >= 0.94-3.6
SUSE LINUX 10.0
  • dia >= 0.94-13.7
SUSE LINUX 10.1
  • dia >= 0.94-41.5
SUSE LINUX 9.1 for IA32
SUSE LINUX 9.1 for x86-64
  • dia >= 0.92.2-112.21
SUSE LINUX 9.2
  • dia >= 0.92.2-128.7
SUSE LINUX 9.3
  • dia >= 0.94-3.7
SuSE Linux Desktop 1.0
  • dia >= 0.90-303
core9.s390
core9.x86-64
core9.ppc
core9.ia64
core9.x86
YOU Patch Nr: 11020
Novell Linux Desktop 9 for x86
Novell Linux Desktop 9 for x86_64
  • dia >= 0.94-13.10
core9.s390
core9.x86-64
core9.ppc
core9.ia64
core9.x86
YOU Patch Nr: 11020
SLES SDK 9 for IBM S/390 and IBM zSeries
SLES SDK 9 for IBM iSeries and IBM pSeries
SLES SDK 9 for IBM zSeries
SLES SDK 9 for IPF
SLES SDK 9 for X86-64
SLES SDK 9 for x86
  • dia >= 0.92.2-112.21
core9.s390
core9.x86-64
core9.ppc
core9.ia64
core9.x86
YOU Patch Nr: 11020